Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TParameterDeclaration

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParameterDeclaration

All Implemented Interfaces:
  Visitable

    public class TParameterDeclaration

extends TParseTreeNode

Parameters in create procedure/function statements. Field declaration in plsql record type definition Parameter declaration in plsql cursor declaration.

Constructor Summary
`TParameterDeclaration()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`TTypeName` | `getDataType()` Datatype of declared element.
`TExpression` | `getDefaultValue()` Specifies a default value for an IN parameter.
`int` | `getHowtoSetValue()` How deafult value of parameter was set.
`int` | `getMode()`
`java.lang.Boolean` | `getNotNull()` Is valid when this class represents field declaration in plsql record type definition.
`TObjectName` | `getParameterName()` The name of the formal parameter that you are declaring, which you can reference in the body of the subprogram.
`TConstant` | `getVaryPrecision()` SQL Server varying precision
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`boolean` | `isNocopy()` Specify NOCOPY to instruct the database to pass this argument as fast as possible.
`boolean` | `isVarying()` SQL Server varying
`void` | `setMode(int mode)`
`void` | `setNocopy(boolean nocopy)`
`void` | `setNotNull(java.lang.Boolean notNull)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TParameterDeclaration

    public TParameterDeclaration()

Method Detail

### setNocopy

    public void setNocopy(boolean nocopy)

### getDataType

    public TTypeName getDataType()

  Datatype of declared element.

  Returns:

### isNocopy

    public boolean isNocopy()

  Specify NOCOPY to instruct the database to pass this argument as fast as possible.

  Returns:

### setMode

    public void setMode(int mode)

### getMode

    public int getMode()

  Returns:
    Parameter modes that define the action of formal parameters:

    Oracle plsq: in, out, in out.

    SQL Server: out, output, readonly

### getDefaultValue

    public TExpression getDefaultValue()

  Specifies a default value for an IN parameter.

  Returns:

### getParameterName

    public TObjectName getParameterName()

  The name of the formal parameter that you are declaring, which you can reference in the body of the subprogram.

  Or, the name of the field in field declaration of record type definition.

  Returns:

### setNotNull

    public void setNotNull(java.lang.Boolean notNull)

### getNotNull

    public java.lang.Boolean getNotNull()

  Is valid when this class represents field declaration in plsql record type definition.

### getHowtoSetValue

    public int getHowtoSetValue()

  How deafult value of parameter was set.

  := | DEFAULT

  := `TBaseType.howtoSetValue_assign`

  or DEFAULT keyword `TBaseType.howtoSetValue_default`;

  Returns:

### isVarying

    public boolean isVarying()

  SQL Server varying

  Returns:

### getVaryPrecision

    public TConstant getVaryPrecision()

  SQL Server varying precision

  Returns:

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD